Page MenuHomePhabricator

Focus outline around watch star extends to left
Closed, ResolvedPublic

Description

When I focus the watch star in Firefox, the outline extends to the left:


It should only enclose the star instead.

Event Timeline

Schnark created this task.Aug 28 2017, 9:11 AM
Isarra added a subscriber: Isarra.Aug 17 2019, 12:30 AM

Agh, looks like it's related to the removal of the message in order to make an icon-only toggle...

Isarra moved this task from Backlog to Bugs on the Timeless board.Aug 17 2019, 2:07 AM

Maybe using an <input type="button">/<input type="checkbox"> and a <label> with the message? It certainly resolves this issue while maintaining accessibility, but it can be tricky to implement without causing visual difference.

Clip might do it...

Change 530705 had a related patch set uploaded (by Isarra; owner: Isarra):
[mediawiki/skins/Timeless@master] Prevent icon label overflow in focus state

https://gerrit.wikimedia.org/r/530705

Change 530705 merged by jenkins-bot:
[mediawiki/skins/Timeless@master] Prevent icon label overflow in focus state

https://gerrit.wikimedia.org/r/530705

Isarra closed this task as Resolved.Aug 19 2019, 3:56 PM
Isarra claimed this task.

Hopefully the fix doesn't cause any other problems.

When will it land in production with the new bugs? ;) (Seriously, when?)

I dunno, next week? I expect the bugs will be eminently noticeable, though.